<?php

/*
	Begin Create Shortcode Generator Options
*/

add_action('admin_menu', 'pp_shortcode_generator');

function pp_shortcode_generator() {

  //add_submenu_page('functions.php', 'Shortcode Generator', 'Shortcode Generator', 'manage_options', 'pp_shortcode_generator', 'pp_shortcode_generator_options');
  
  global $page_postmetas;
	if ( function_exists('add_meta_box') && isset($page_postmetas) && count($page_postmetas) > 0 ) {  
		add_meta_box( 'shortcode_metabox', 'Shortcode Options', 'pp_shortcode_generator_options', 'page', 'side', 'high' );
		add_meta_box( 'shortcode_metabox', 'Shortcode Options', 'pp_shortcode_generator_options', 'post', 'side', 'high' );  
		add_meta_box( 'shortcode_metabox', 'Shortcode Options', 'pp_shortcode_generator_options', 'portfolios', 'side', 'high' );  
	}

}

function pp_shortcode_generator_options() {

  	$plugin_url = get_stylesheet_directory_uri().'/plugins/shortcode_generator';
  	
  	$args = array(
	    'numberposts' => -1,
	    'post_type' => array('gallery'),
	);
	
	$galleries_arr = get_posts($args);
	$galleries_select = array();
	$galleries_select[''] = '';
	
	foreach($galleries_arr as $gallery)
	{
		$galleries_select[$gallery->ID] = $gallery->post_title;
	}

	//Begin shortcode array
	$shortcodes = array(
		'new_line' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => FALSE,
		),
		'dropcap' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
		),
		'quote' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
		),
		'button' => array(
			'attr' => array(
				'href' => 'text',
				'align' => 'select',
			),
			'desc' => array(
				'href' => 'لینک دکمه را وارد نمایید',
				'align' => 'تراز بندی دکمه',
			),
			'options' => array(
				'left' => 'left',
				'right' => 'right',
				'center' => 'center',
			),
			'content' => TRUE,
			'content_text' => 'متن دکمه را وارد نمایید',
		),
		'lightbox' => array(
			'attr' => array(
				'type' => 'select',
				'title' => 'text',
				'href' => 'text',
				'youtube_id' => 'text',
				'vimeo_id' => 'text',
			),
			'desc' => array(
				'href' => 'لینکی برای قرار گیری روی لایت باکس قرار دهید',
				'align' => 'تراز بندی',
				'bg_color' => 'کد رنگ پیش زمینه را وارد نمایید مثال : #000000',
				'text_color' => 'کد رنگ متن را وارد نمایید مثال : #ffffff',
				'youtube_id' => 'آیدی ویدئو خود در یوتیوب را وارد نمایید مثال : OOr6dB8jnvE',
				'vimeo_id' => 'آیدی ویدئو خود در ویمئو را وارد نمایید مثال: 37157187',
			),
			'options' => array(
				'image' => 'تصویر',
				'iframe' => 'iFrame',
				'youtube' => 'ویدئو یو تیوب',
				'vimeo' => 'ویدئو ویمئو',
			),
			'content' => TRUE,
			'content_text' => 'مطلب خود را وارد نمایید ( میتواند متن ساده یا کد HTML و یا کد میانبر باشد )',
		),
		'frame_left' => array(
			'attr' => array(
				'src' => 'text',
				'href' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
				'href' => 'لینکی که میخواهید به تصویر نسبت داده شود را وارد کنید',
			),
			'content' => TRUE,
			'content_text' => 'عنوان تصویر',
		),
		'frame_right' => array(
			'attr' => array(
				'src' => 'text',
				'href' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
				'href' => 'لینکی که میخواهید به تصویر نسبت داده شود را وارد کنید',
			),
			'content' => TRUE,
			'content_text' => 'عنوان تصویر',
		),
		'frame_center' => array(
			'attr' => array(
				'src' => 'text',
				'href' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
				'href' => 'لینکی که میخواهید به تصویر نسبت داده شود را وارد کنید',
			),
			'content' => TRUE,
			'content_text' => 'عنوان تصویر',
		),
		'img_reflect_left' => array(
			'attr' => array(
				'src' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
			),
			'content' => FALSE,
		),
		'img_reflect_right' => array(
			'attr' => array(
				'src' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
			),
			'content' => FALSE,
		),
		'img_reflect_center' => array(
			'attr' => array(
				'src' => 'text',
			),
			'desc' => array(
				'src' => 'لینک تصویری که میخواهید نمایش داده شود را وارد کنید',
			),
			'content' => FALSE,
		),
		'one_half' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
			'repeat' => 1,
		),
		'one_third' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
			'repeat' => 2,
		),
		'one_third_last' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
		),
		'two_third' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
		),
		'two_third_last' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
		),
		'one_fourth' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
			'repeat' => 3,
		),
		'one_fifth' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
			'repeat' => 4,
		),
		'one_sixth' => array(
			'attr' => array(),
			'desc' => array(),
			'content' => TRUE,
			'repeat' => 5,
		),
		'styled_box' => array(
			'attr' => array(
				'title' => 'text',
				'color' => 'select',
			),
			'desc' => array(
				'href' => 'لینکی که میخواهید به دکمه نسبت داده شود را وارد کنید',
				'color' => 'رنگ جعبه را انتخاب کنید',
			),
			'options' => array(
				'black' => 'سیاه',
				'gray' => 'خاکستری',
				'white' => 'سفید',
				'blue' => 'آبی',
				'yellow' => 'زرد',
				'red' => 'قرمز',
				'orange' => 'نارنجی',
				'green' => 'سبز',
				'pink' => 'صورتی',
				'purple' => 'زرشکی',
			),
			'content' => TRUE,
			'content_text' => 'مطلب خود را وارد کنید',
		),
		'map' => array(
			'attr' => array(
				'width' => 'text',
				'height' => 'text',
				'lat' => 'text',
				'long' => 'text',
				'zoom' => 'text',
			),
			'desc' => array(
				'width' => 'عرض نقشه بر حسب پیکسل',
				'height' => 'طول نقشه بر حسب پیکسل',
				'lat' => 'عرض جغرافیایی نقشه <a href="http://www.tech-recipes.com/rx/5519/the-easy-way-to-find-latitude-and-longitude-values-in-google-maps/">اینجا پیدا کنید</a>',
				'long' => 'طول جغرافیایی نقشه <a href="http://www.tech-recipes.com/rx/5519/the-easy-way-to-find-latitude-and-longitude-values-in-google-maps/">اینجا پیدا کنید</a>',
				'zoom' => 'عدد بزرگنمایی را وارد کنید (1-16)',
			),
			'content' => FALSE,
			'options' => array(
				1 => 'باز ',
				0 => 'بسته',
			),
		),
		'youtube' => array(
			'attr' => array(
				'width' => 'text',
				'height' => 'text',
				'video_id' => 'text',
			),
			'desc' => array(
				'width' => 'عرض ویدئو بر حسب پیکسل',
				'height' => 'طول ویدئو بر حسب پیکسل',
				'video_id' => 'آیدی ویدئو یوتیوب مانند Js9Z8UQAA4E',
			),
			'content' => FALSE,
		),
		'vimeo' => array(
			'attr' => array(
				'width' => 'text',
				'height' => 'text',
				'video_id' => 'text',
			),
			'desc' => array(
				'width' => 'عرض ویدئو بر حسب پیکسل',
				'height' => 'طول ویدئو بر حسب پیکسل',
				'video_id' => 'آیدی ویدئو ویمئو مانند 9380243',
			),
			'content' => FALSE,
		),
		'video' => array(
			'attr' => array(
				'width' => 'text',
				'height' => 'text',
				'img_src' => 'text',
				'video_src' => 'text',
			),
			'desc' => array(
				'width' => 'عرض ویدئو بر حسب پیکسل',
				'height' => 'طول ویدئو بر حسب پیکسل',
				'img_src' => 'لینک پوستر برای ویدئو',
				'video_src' => 'لینک ویدئو با فرمت mp4 یا flv',
			),
			'content' => FALSE,
		),
		'gallery' => array(
			'attr' => array(
				'gallery_id' => 'select',
				'width' => 'text',
				'height' => 'text',
			),
			'options' => $galleries_select,
			'desc' => array(
				'width' => 'عرض تصویر بر حسب پیکسل',
				'height' => 'طول تصویر بر حسب پیکسل',
			),
			'content' => FALSE,
		),
		'accordion' => array(
			'attr' => array(
				'title' => 'text',
				'close' => 'select',
			),
			'desc' => array(
				'width' => 'عنوان آکاردئون را وارد نمایید',
				'close' => 'وضعیت پیش فرض آکاردئون را انتخاب نمایید ( باز یا بسته )',
			),
			'content' => TRUE,
			'options' => array(
				0 => 'Open',
				1 => 'Close',
			),
		),
	);

?>
<script>
function nl2br (str, is_xhtml) {   
	var breakTag = (is_xhtml || typeof is_xhtml === 'undefined') ? '<br />' : '<br>';    
	return (str + '').replace(/([^>\r\n]?)(\r\n|\n\r|\r|\n)/g, '$1'+ breakTag +'$2');
}

jQuery(document).ready(function(){ 
	jQuery('#shortcode_select').change(function() {
  		var target = jQuery(this).val();
  		jQuery('.rm_section').hide()
  		jQuery('#div_'+target).fadeIn()
	});	
	
	jQuery('.code_area').click(function() { 
		document.getElementById(jQuery(this).attr('id')).focus();
    	document.getElementById(jQuery(this).attr('id')).select();
	});
	
	jQuery('.shortcode_button').click(function() { 
		var target = jQuery(this).attr('id');
		var gen_shortcode = '';
  		gen_shortcode+= '['+target;
  		
  		if(jQuery('#'+target+'_attr_wrapper .attr').length > 0)
  		{
  			jQuery('#'+target+'_attr_wrapper .attr').each(function() {
				gen_shortcode+= ' '+jQuery(this).attr('name')+'="'+jQuery(this).val()+'"';
			});
		}
		
		gen_shortcode+= ']';
		
		if(jQuery('#'+target+'_content').length > 0)
  		{
  			gen_shortcode+= jQuery('#'+target+'_content').val()+'[/'+target+']';
  			gen_shortcode+= '\n';
  			
  			var repeat = jQuery('#'+target+'_content_repeat').val();
  			for (count=1;count<=repeat;count=count+1)
			{
				if(count<repeat)
				{
					gen_shortcode+= '['+target+']';
					gen_shortcode+= jQuery('#'+target+'_content').val()+'[/'+target+']';
					gen_shortcode+= '\n';
				}
				else
				{
					gen_shortcode+= '['+target+'_last]';
					gen_shortcode+= jQuery('#'+target+'_content').val()+'[/'+target+'_last]';
					gen_shortcode+= '\n';
				}
			}
  		}
  		jQuery('#'+target+'_code').val(gen_shortcode);
  		jQuery('#pp-insert-to-post').attr('rel', '#'+target+'_code');
  		
  		jQuery("#"+target+"-pp-insert-to-post").click(function() { 
			var current_id = jQuery(this).attr('rel');
			var current_code = jQuery('#'+target+'_code').val();
			
			tinyMCE.activeEditor.selection.setContent(nl2br(current_code));
		});
	});
});
</script>

	<div style="padding:20px 10px 10px 10px">
	<?php
		if(!empty($shortcodes))
		{
	?>
			<strong>کد میانبر خود را انتخاب نمایید</strong><hr class="pp_widget_hr">
			<div class="pp_widget_description">لطفا کد میانبر مورد نظر خود را از طریق لیست زیر انتخاب نمایید و پس از تکمیل قسمت های مربوطه روی قسمت ساخت کد میانبر اکلیک کنید.<a href="<?php echo THEMEDEMOURL; ?>" target="_blank">به سایت دمو بروید</a> و بر روی گزینه Shortcodes کلیک نمایید تا همه کد های میانبر موجود را ببینید.</div>
			<br/>
			<select id="shortcode_select">
				<option value="">( کد میانبری انتخاب نشده است)</option>
			
	<?php
			foreach($shortcodes as $shortcode_name => $shortcode)
			{
	?>
	
			<option value="<?php echo $shortcode_name; ?>"><?php echo $shortcode_name; ?></option>
	
	<?php
			}
	?>
			</select>
	<?php
		}
	?>
	
	<br/><br/>
	
	<?php
		if(!empty($shortcodes))
		{
			foreach($shortcodes as $shortcode_name => $shortcode)
			{
	?>
	
			<div id="div_<?php echo $shortcode_name; ?>" class="rm_section" style="display:none">
				<div class="rm_title">
					<h3><?php echo ucfirst($shortcode_name); ?></h3>
					<div class="clearfix"></div>
				</div>
				
				<div class="rm_text" style="padding: 10px 0 20px 0">
				
				<!-- img src="<?php echo $plugin_url.'/'.$shortcode_name.'.png'; ?>" alt=""/><br/><br/><br/ -->
				
				<?php
					if(isset($shortcode['content']) && $shortcode['content'])
					{
						if(isset($shortcode['content_text']))
						{
							$content_text = $shortcode['content_text'];
						}
						else
						{
							$content_text = 'مطلب شما';
						}
				?>
				
				<strong><?php echo $content_text; ?>:</strong><br/>
				<input type="hidden" id="<?php echo $shortcode_name; ?>_content_repeat" value="<?php echo $shortcode['repeat']; ?>"/>
				<textarea id="<?php echo $shortcode_name; ?>_content" style="width:100%;height:70px" rows="3" wrap="off"></textarea><br/><br/>
				
				<?php
					}
				?>
			
				<?php
					if(isset($shortcode['attr']) && !empty($shortcode['attr']))
					{
				?>
						
						<div id="<?php echo $shortcode_name; ?>_attr_wrapper">
						
				<?php
						foreach($shortcode['attr'] as $attr => $type)
						{
				?>
				
							<?php echo '<strong>'.ucfirst($attr).'</strong>: '.$shortcode['desc'][$attr]; ?><br/><br/>
							
							<?php
								switch($type)
								{
									case 'text':
							?>
							
									<input type="text" id="<?php echo $shortcode_name; ?>_text" style="width:100%" class="attr" name="<?php echo $attr; ?>"/>
							
							<?php
									break;
									
									case 'select':
							?>
							
									<select id="<?php echo $shortcode_name; ?>_select" style="width:100%" class="attr" name="<?php echo $attr; ?>">
									
										<?php
											if(isset($shortcode['options']) && !empty($shortcode['options']))
											{
												foreach($shortcode['options'] as $select_key => $option)
												{
										?>
										
													<option value="<?php echo $select_key; ?>"><?php echo $option; ?></option>
										
										<?php	
												}
											}
										?>							
									
									</select>
							
							<?php
									break;
								}
							?>
							
							<br/><br/>
				
				<?php
						} //end attr foreach
				?>
				
						</div>
				
				<?php
					}
				?>
				<br/>
				
				<input type="button" id="<?php echo $shortcode_name; ?>" value="Generate Shortcode" class="button shortcode_button"/>
				
				<br/><br/><br/>
				
				<strong>کد میانبر:</strong><br/>
				<textarea id="<?php echo $shortcode_name; ?>_code" style="width:90%;height:70px" rows="3" readonly="readonly" class="code_area" wrap="off"></textarea>
				
				<br/><br/><br/>
				<input type="button" id="<?php echo $shortcode_name; ?>-pp-insert-to-post" value="Insert to post" class="button"/>
				
				</div>
				
			</div>
	
	<?php
			} //end shortcode foreach
		}
	?>
	
</div>

<?php

}

/*
	End Create Shortcode Generator Options
*/

?>